import type { Config } from "tailwindcss";

export default {
  darkMode: ["class"],
  content: ["./app/**/{**,.client,.server}/**/*.{js,jsx,ts,tsx}"],
  theme: {
    extend: {
      fontFamily: {
        sans: [
          "pinar",
          "Inter",
          "ui-sans-serif",
          "system-ui",
          "sans-serif",
          "Apple Color Emoji",
          "Segoe UI Emoji",
          "Segoe UI Symbol",
          "Noto Color Emoji",
        ],
        pinar: ["pinar", "Tahoma", "Arial", "sans-serif"],
      },
      fontSize: {
        R8: "8px",
        B8: "8px",
        R10: "10px",
        B10: "10px",
        R12: "12px",
        B12: "12px",
        R14: "14px",
        B14: "14px",
        R16: "16px",
        B16: "16px",
        R18: "18px",
        B18: "18px",
        R20: "20px",
        B20: "20px",
        R22: "22px",
        B22: "22px",
        R24: "24px",
        B24: "24px",
      },
      borderRadius: {
        lg: "var(--radius)",
        md: "calc(var(--radius) - 2px)",
        sm: "calc(var(--radius) - 4px)",
      },
      keyframes: {
        "gradient-x": {
          "0%, 100%": {
            "background-size": "200% 200%",
            "background-position": "left center",
          },
          "50%": {
            "background-size": "200% 200%",
            "background-position": "right center",
          },
        },
      },
      animation: {
        "gradient-x": "gradient-x 3s ease infinite",
      },
      colors: {
        BLACK: "hsl(var(--BLACK))",
        BLACK2: "hsl(var(--BLACK2))",
        GRAY: "hsl(var(--GRAY))",
        GRAY2: "hsl(var(--GRAY2))",
        GRAY3: "hsl(var(--GRAY3))",
        WHITE: "hsl(var(--WHITE))",
        WHITE2: "hsl(var(--WHITE2))",
        WHITE3: "hsl(var(--WHITE3))",
        VITROWN_BLUE: "hsl(var(--VITROWN_BLUE))",
        BLUE: "hsl(var(--BLUE))",
        BLUE2: "hsl(var(--BLUE2))",
        RED: "hsl(var(--RED))",
        inputBg: "hsl(var(--inputBg))",
        inputPlaceholder: "hsl(var(--inputPlaceholder))",
        GREEN: "hsl(var(--GREEN))",
        hover: "hsl(var(--hover))",
        ntext: "hsl(var(--ntext))",
        nbackground: "hsl(var(--nbackground))",
        TELEGRAM: "hsl(var(--TELEGRAM))",
        WHATSAPP: "hsl(var(--WHATSAPP))",
        DARK_OVERLAY: "hsl(var(--DARK_OVERLAY))",
        DARK_OVERLAY_HOVER: "hsl(var(--DARK_OVERLAY_HOVER))",
        MEDIUM_GRAY: "hsl(var(--MEDIUM_GRAY))",
        LIGHT_SHADOW: "hsl(var(--LIGHT_SHADOW))",
        TRANSPARENT_BLACK_10: "hsl(var(--TRANSPARENT_BLACK_10))",
        TRANSPARENT_BLACK_30: "hsl(var(--TRANSPARENT_BLACK_30))",
        TRANSPARENT_BLACK_50: "hsl(var(--TRANSPARENT_BLACK_50))",
        GRADIENT_GRAY_FROM: "hsl(var(--GRADIENT_GRAY_FROM))",
        GRADIENT_GRAY_TO: "hsl(var(--GRADIENT_GRAY_TO))",
        BEIGE: "hsl(var(--BEIGE))",
        HIGHLIGHT_BLUE: "hsl(var(--HIGHLIGHT_BLUE))",
        HIGHLIGHT_BLUE_TRANSPARENT: "hsl(var(--HIGHLIGHT_BLUE_TRANSPARENT))",
        background: "hsl(var(--background))",
        foreground: "hsl(var(--foreground))",
        card: {
          DEFAULT: "hsl(var(--card))",
          foreground: "hsl(var(--card-foreground))",
        },
        popover: {
          DEFAULT: "hsl(var(--popover))",
          foreground: "hsl(var(--popover-foreground))",
        },
        primary: {
          DEFAULT: "hsl(var(--primary))",
          foreground: "hsl(var(--primary-foreground))",
        },
        secondary: {
          DEFAULT: "hsl(var(--secondary))",
          foreground: "hsl(var(--secondary-foreground))",
        },
        muted: {
          DEFAULT: "hsl(var(--muted))",
          foreground: "hsl(var(--muted-foreground))",
        },
        accent: {
          DEFAULT: "hsl(var(--accent))",
          foreground: "hsl(var(--accent-foreground))",
        },
        destructive: {
          DEFAULT: "hsl(var(--destructive))",
          foreground: "hsl(var(--destructive-foreground))",
        },
        border: "hsl(var(--border))",
        input: "hsl(var(--input))",
        ring: "hsl(var(--ring))",
        chart: {
          "1": "hsl(var(--chart-1))",
          "2": "hsl(var(--chart-2))",
          "3": "hsl(var(--chart-3))",
          "4": "hsl(var(--chart-4))",
          "5": "hsl(var(--chart-5))",
        },
      },
    },
  },
  plugins: [require("tailwindcss-animate")],
} satisfies Config;
